Odoo Help

Welcome!

This community is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.

0

odoo requires python(abi) = 2.7

By
Fahmi Hachicha
on 4/7/15, 7:39 AM 5,181 views

Hello,

On CentOS 6.5 Linux, Python 2.7.9 already installed, the installation process via yum reports that

odoo-8.0_20150407-1.noarch requires python(abi) = 2.7

I found that there is two python installed, one installed by default at /usr/bin/python which is Python 2.6.6 and the one I installed in /usr/local/bin/python2.7 and there is a links as

lrwxrwxrwx. 1 root root       7  6 avril 14:46 /usr/local/bin/python -> python2
lrwxrwxrwx. 1 root root       9  6 avril 14:46 /usr/local/bin/python2 -> python2.7
so

$ python --version
Python 2.7.9

So, how to tell yum NOT to use /usr/bin/python ?

Epel is already in the source list :

yum repolist

repo id             repo name 

epel                Extra Packages for Enterprise Linux 6 - x86_64

 

Thanks

Fahmi

is there "update-alternatives" command (or equivalent) available in your centos? maybe you've to set python2.7 as active/default

Temur
on 5/25/15, 5:09 AM
0
Fahmi Hachicha
On 4/10/15, 5:36 AM

Epel is already in the source list :

yum repolist

repo id             repo name 

epel                Extra Packages for Enterprise Linux 6 - x86_64

Fahmi

0

Temur

--Temur--
2894
| 6 5 7
Tbilisi, Georgia
--Temur--
Programmer
Temur
On 4/7/15, 9:13 AM

I think you need to add EPEL as repository in your CentOS repository source list

It should satisfy requirements

Temur
on 4/7/15, 9:16 AM

Your Answer

Please try to give a substantial answer. If you wanted to comment on the question or answer, just use the commenting tool. Please remember that you can always revise your answers - no need to answer the same question twice. Also, please don't forget to vote - it really helps to select the best questions and answers!

About This Community

This community is for professionals and enthusiasts of our products and services. Read Guidelines

Question tools

1 follower(s)

Stats

Asked: 4/7/15, 7:39 AM
Seen: 5181 times
Last updated: 5/25/15, 5:09 AM